<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        $sql = <<<'SQL'
                CREATE TABLE driver_masters(
                    id					               	BIGINT GENERATED always AS IDENTITY PRIMARY KEY,
                    name					            TEXT DEFAULT NULL,
                    identification1						TEXT DEFAULT NULL,
                    identification2						TEXT DEFAULT NULL,
                    identification3						TEXT DEFAULT NULL,
                    contact_number                      TEXT DEFAULT NULL,
                    alternate_number                    TEXT DEFAULT NULL,
                    created_at							TIMESTAMP NOT NULL DEFAULT NOW(),
                    updated_at							TIMESTAMP NOT NULL DEFAULT NOW(),
                    created_by							TEXT DEFAULT NULL,
                    deleted_at			                TIMESTAMP

                );
            SQL;
            DB::statement($sql);
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('driver_masters');
    }
};
